## clipf 0.4

=== Makefile ===

ROOTDIR=
BINDIR=usr/bin
CONFDIR=etc
MANDIR=usr/share/man/man1

install:
	install -d $(ROOTDIR)/$(BINDIR)
	install -m 755 clipf $(ROOTDIR)/$(BINDIR)
	install -d $(ROOTDIR)/$(CONFDIR)
	install -m 644 clipf.conf $(ROOTDIR)/$(CONFDIR)
	install -d $(ROOTDIR)/$(MANDIR)
	install -m 644 man/clipf.1 $(ROOTDIR)/$(MANDIR)

=== debian/changelog ===
clipf (0.4-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #746696).
  * debian/compat:
      - Updated to level 9.
  * debian/control:
      - Updated to debhelper level 9.
      - Updated to Standards-version 3.9.8.
  * debian/copyright:
      - Updated to format 1.
  * debian/patches:
      - Created 10_fix-Makefile.patch.
      - Created 20_fix-spelling-man.patch.
  * debian/source:
      - Created format to 3.0 (quilt).

 -- Gustavo Soares de Lima <gustavo@logicus.com.br>  Sun, 25 Sep 2016 18:22:16 +0000

clipf (0.4-1) unstable; urgency=low

  * Initial release (Closes: #535266)

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Thu, 25 Jun 2009 16:40:41 +0200

=== debian/control ===
Source: clipf
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: http://code.google.com/p/clipf/

Package: clipf
Architecture: all
Depends: python, ${misc:Depends}
Description: command line minimalistic personal finance manager
 'clipf' is a minimalistic personal finance manager with command
 line interface, written on Python.
 .
 hierarchical list of income/expense items. Item defined
 by segmented item code like food.drink.beer. Tab-completion
 make it easy to enter even long item codes. Reporting by
 item groups on any level of hierarchy.
 .
 Track turnover and remains by several independent accounts.
 .
 Export reports to text files also features aliases for
 frequently used commands.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#docbook-to-man debian/clipf.sgml > clipf.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/clipf.
	$(MAKE) DESTDIR=$(CURDIR)/debian/clipf install


# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_lintian
#	dh_undocumented
	dh_installman man/clipf.1
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webserver directory
http://clipf.googlecode.com/files/clipf-(.*)\.tgz

## clipf 0.5

=== Makefile ===
install:
	install -d $(DESTDIR)/usr/bin
	install -m 755 clipf $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/etc
	install -m 644 clipf.conf $(DESTDIR)/etc

=== debian/changelog ===
clipf (0.5-1) unstable; urgency=medium

  * New maintainer. (Closes: #746696).
  * New upstream release.
  * Merged debian/control fixes. (Closes: #684789).
  * Merged manpage spelling fixes. (Closes: #663668).
  * debian/control:
      - Updated to Standards-version 4.1.3.

 -- Adam Bilbrough <atsb@tutanota.de>  Thu, 01 Feb 2018 20:54:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: clipf
 Section: misc
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
-Homepage: http://code.google.com/p/clipf/
+Maintainer: Adam Bilbrough <atsb@tutanota.de>
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.3
+Homepage: https://gitlab.com/atsb/clipf
 
 Package: clipf
 Architecture: all
-Depends: python, ${misc:Depends}
+Depends: python3, ${misc:Depends}
 Description: command line minimalistic personal finance manager
  'clipf' is a minimalistic personal finance manager with command
  line interface, written on Python.

## clipf 0.6

=== debian/changelog ===
clipf (0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
      - Updated to Standards-version 4.4.1.

 -- Adam Bilbrough <ats@atlas.cz>  Thu, 03 Oct 2019 21:13:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: clipf
 Section: misc
 Priority: optional
-Maintainer: Adam Bilbrough <atsb@tutanota.de>
+Maintainer: Adam Bilbrough <ats@atlas.cz>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.3
-Homepage: https://gitlab.com/atsb/clipf
+Standards-Version: 4.4.1
+Homepage: https://github.com/atsb/clipf
 
 Package: clipf
 Architecture: all
